<template>
    <el-cascader
        expand-trigger="hover"
        :options="options"
        v-model="value2"
        filterable
        clearable
        :props="props"
        change-on-select
    >
    </el-cascader>
</template>
<script>
export default {
    props: {
        value: {
            type: Array,
            required: true,
        },
        options: Array,
        props: {
            type: Object,
            default() {
                return {
                    value: 'value',
                    label: 'label',
                    children: 'children',
                    disabled: 'disabled',
                }
            },
        },
    },
    computed: {
        value2: {
            get() {
                return this.value
            },
            set(val) {
                this.$emit('input', val)
            },
        },
    },
}
</script>
<style scoped></style>
